---------------------
PatchSet 6849 
Date: 2008/02/14 21:55:08
Author: chtsanti
Branch: async-calls
Tag: (none) 
Log:
Looks that the HttpStateData can not handle properly exceptions.
Implement the abortOnException virtual method which will abort imediatelly
squid in an assertion failure

Members: 
	src/http.h:1.28.4.4->1.28.4.5 

Index: squid3/src/http.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/http.h,v
retrieving revision 1.28.4.4
retrieving revision 1.28.4.5
diff -u -r1.28.4.4 -r1.28.4.5
--- squid3/src/http.h	19 Jan 2008 19:30:38 -0000	1.28.4.4
+++ squid3/src/http.h	14 Feb 2008 21:55:08 -0000	1.28.4.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.h,v 1.28.4.4 2008/01/19 19:30:38 chtsanti Exp $
+ * $Id: http.h,v 1.28.4.5 2008/02/14 21:55:08 chtsanti Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -97,6 +97,8 @@
     virtual void closeServer(); // end communication with the server
     virtual bool doneWithServer() const; // did we end communication?
     virtual void abortTransaction(const char *reason); // abnormal termination
+    //AsyncJob virtual methods
+    virtual bool abortOnException() {return true;};
 
     // consuming request body
     virtual void handleMoreRequestBodyAvailable();
